<?php
if ( isset($_FILES['blob']['name'])) 
{
	
	$filename	= $_FILES['blob']['name'];
	
	// copia il file nella cartella /modules/importa_art/upload
		move_uploaded_file($_FILES["blob"]["tmp_name"], $docroot."/modules/importa_art/upload/".$filename);
		array_push( $_SESSION['infos'], "Informazioni salvate correttamente!");
		
		$tmpName = $docroot."/modules/importa_art/upload/".$filename;
		
		
		$sezione = str_replace( ",", ".", $sezione );
		
		// elabora ed importa il file csv
		if(($handle = fopen($tmpName, 'r')) !== FALSE) {
            set_time_limit(0);
            $row = 0;
            while(($data = fgetcsv($handle, 1000, ';')) !== FALSE) {
				$col_count = count($data);																						
						
				
				$query = "INSERT INTO `mg_articoli` (`codice`, `descrizione`,  `note`, `qta`, `threshold_qta`, `prezzo_acquisto`, `prezzo_vendita`, `gg_garanzia`, 
				`attivo`, `pro_barcode`, `pro_smax`, `pro_lotto`, `cod_fornitore`,  `servizio`) VALUES (";

				
				for ($i=0;$i<$col_count;$i++)
				{				
					if( $i=='2' ){				
						$sezione=$data[$i];
						$prz = str_replace( ",", ".", $sezione );
						$query .= "'".$prz."'";
					}
					else{
						$query .= "'".mysql_escape_string($data[$i])."'";
					}
			
					
					if ($i < $col_count - 1) 
						$query .= ","; 					
				}				
                $query .= ")";				
				$rs = $dbo->query( $query );				
																								
                $row++;
            }
            fclose($handle);
        }
		array_push( $_SESSION['infos'], "Inserimento effettuato corretamente." );		
	
} else {
	 
	array_push( $_SESSION['errors'], "Nessun file selezionato1 !" );

}
/*	 
}
*/	
?>

